Loading...
Searching...
No Matches
input_map.c File Reference

Implements input_map.h. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "lirc/input_map.inc"`

Go to the source code of this file.

## Typedefs

typedef unsigned short | linux_input_code

## Functions

int | get_input_code (const char *name, linux_input_code *code)
void | fprint_namespace (FILE *f)
int | is_in_namespace (const char *name)

## Variables

struct { |
char * name |
linux_input_code code |
} | input_map [] |

## Detailed Description

Implements input_map.h.

Definition in file input_map.c.

## Typedef Documentation

## linux_input_code

typedef unsigned short linux_input_code

Definition at line 24 of file input_map.c.

## Function Documentation

## fprint_namespace()

void fprint_namespace | ( | FILE * | f | ) |

Definition at line 50 of file input_map.c.

## get_input_code()

int get_input_code | ( | const char * | name,
|  | linux_input_code * | code
| ) |  |

Definition at line 37 of file input_map.c.

## is_in_namespace()

int is_in_namespace | ( | const char * | name | ) |

Definition at line 58 of file input_map.c.

## Variable Documentation

## code

linux_input_code code

Definition at line 29 of file input_map.c.

## [struct]

struct { ... } input_map[]

Initial value:
= {
{
NULL, 0
}
}

## name

char* name

Definition at line 28 of file input_map.c.